<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:dataTable id="vinculoFamiliarLst" var="ent" value="#{legajoMB.instance.vinculosFamiliares}"  emptyMessage="No hay resultados para esa busqueda">
            <p:column  headerText="Tipo Vínculo" >
                <p:outputLabel value="#{ent.tipoVinculoFamiliar.descripcion}" />
            </p:column>

            <p:column headerText="Codigo" >
                <p:outputLabel value="#{ent.legajoFamiliar.codigo}" />
            </p:column>
            
            <p:column headerText="DNI" >
                <p:outputLabel value="#{ent.legajoFamiliar.nroDocumento}" />
            </p:column>
            
            <p:column  headerText="Apellido y Nombre" >
                <p:outputLabel value="#{ent.legajoFamiliar.apellidoYNombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update="vinculoFamiliarLst" action="#{vinculoFamiliarMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Vínculo Familiar?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>	
        <p:separator />
        <p:commandButton  value="Agregar" type="button" onclick="PF('panelVF').show();"  />
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
    	       
    	
</ui:composition>
